#
# FLTKConfig.cmake - FLTK CMake configuration file for external projects.
#
# This file is configured by FLTK and used by the UseFLTK.cmake module
# to load FLTK's settings for an external project.

set(FLTK_FOUND TRUE)
set(FLTK_VERSION 1.3.0)

set(FLTK_FLUID_EXECUTABLE "$ENV{OSGEO4W_ROOT}/bin/fluid")

if(NOT " /machine:X86 " STREQUAL "")
   set(FLTK_EXE_LINKER_FLAGS " /machine:X86 ")
endif(NOT " /machine:X86 " STREQUAL "")

set(FLTK_USE_FILE "$ENV{OSGEO4W_ROOT}/share/FLTK/UseFLTK.cmake")

set(FLTK_DIR "$ENV{OSGEO4W_ROOT}/share/FLTK")

set(FLTK_BIN_DIR "$ENV{OSGEO4W_ROOT}/bin")
set(FLTK_LIB_DIR "$ENV{OSGEO4W_ROOT}/lib")
set(FLTK_INCLUDE_DIR "$ENV{OSGEO4W_ROOT}/include")
set(FLTK_DATA_DIR "$ENV{OSGEO4W_ROOT}/share/FLTK")
set(FLTK_DOC_DIR "$ENV{OSGEO4W_ROOT}/share/doc/FLTK")

set(FLTK_SHARED_LIBS_FOUND ON)
set(FLTK_CAIRO_FOUND FALSE)
set(FLTK_GL_FOUND TRUE)
set(FLTK_THREADS_FOUND FALSE)
set(FLTK_PTHREADS_FOUND FALSE)
set(FLTK_BUILTIN_JPEG_FOUND FALSE)
set(FLTK_BUILTIN_ZLIB_FOUND FALSE)
set(FLTK_BUILTIN_PNG_FOUND FALSE)
set(FLTK_XINERAMA_FOUND FALSE)
set(FLTK_XFT_FOUND FALSE)
set(FLTK_XDBE_FOUND FALSE)

set(FLTK_CAIRO_FOUND FALSE)
set(FLTK_GL_FOUND TRUE)
set(FLTK_THREADS_FOUND FALSE)
set(FLTK_PTHREADS_FOUND FALSE)
set(FLTK_BUILTIN_JPEG_FOUND FALSE)
set(FLTK_BUILTIN_ZLIB_FOUND FALSE)
set(FLTK_BUILTIN_PNG_FOUND FALSE)
set(FLTK_XINERAMA_FOUND FALSE)
set(FLTK_XFT_FOUND FALSE)
set(FLTK_XDBE_FOUND FALSE)

include("$ENV{OSGEO4W_ROOT}/share/FLTK/FLTKLibraries.cmake")
